Bug 79486 - Editing existing cell styles through F11-Dialog not possible
Summary: Editing existing cell styles through F11-Dialog not possible
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-31 15:20 UTC by giuvi
Modified: 2015-02-22 10:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description giuvi 2014-05-31 15:20:04 UTC
It is no possible to change an existing a style format using the F11-Dialog. You can add another one or delete one, but not edit.
Comment 1 m.a.riosv 2014-06-02 20:32:59 UTC
Hi @giuvi, thanks for reporting.

I can't reproduce with:
Win7x64
Version: 4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a

Please try if resetting user profile solves the issue:
https://wiki.documentfoundation.org/UserProfile
Comment 2 QA Administrators 2015-01-10 18:06:33 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 3 giuvi 2015-01-10 19:58:27 UTC
Meanwhile I'm using the 4.1.6.2 version

I tested again with the current version after deleting the user setting files,and because of different Libreoffice-brandings available under OpenSuse 13.1, I made the test on all those brandings: libreoffice-branding-openSUSE (general openSUSE branding 27.09.2013 4.0.2.1.2), libreoffice-branding-basedonopensuse (openSUSE 13.1 branding 17.02.2014) and libreoffice-branding-upstream (LibreOffice original branding 19.12.2014).

And JES, the bug is reproducible. 
BUT maybe I found the cause of it. 
I noticed, it is no possible to change an existing a style format using the F11-Dialog ONLY WHEN you work with spreadsheets, which are saved using OpenOffice.
Using new files or spreadsheets saved under Libreoffice, the bug does not exist.

The Problem is then the compatiblity of open documents between Libreoffice and OpenOffice, or in other words the rising divergence between theese softwares
Comment 4 QA Administrators 2015-02-11 19:51:19 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 5 QA Administrators 2015-02-11 19:57:04 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11
Comment 6 giuvi 2015-02-22 10:46:17 UTC
I'am agrre with the current Status (INVALID). 

I have just tested again under the environments and settings as described in my last comment (Comment 3) and the bug was not reproduceable.

Sorry, I don't know any more, why the bug was originally generated on my PC. Maybe it did depend on an old LO-Version in conmbination with using of OpenOffice Calc.